Package org.eclipse.jdt.ui.wizards

# Class NewRecordWizardPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.jdt.ui.wizards.NewElementWizardPage
org.eclipse.jdt.ui.wizards.NewContainerWizardPage
org.eclipse.jdt.ui.wizards.NewTypeWizardPage
org.eclipse.jdt.ui.wizards.NewRecordWizardPage

All Implemented Interfaces:
  `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.wizard.IWizardPage`

public class NewRecordWizardPage extends NewTypeWizardPage
Wizard page to create a new record.

Note: This class is not intended to be subclassed, but clients can instantiate. To implement a different kind of a new record wizard page, extend `NewTypeWizardPage`.

Restriction:
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage

`NewTypeWizardPage.ImportsManager`

## Field Summary

### Fields inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage

`ANNOTATION_TYPE, CLASS_TYPE, ENCLOSING, ENCLOSINGSELECTION, ENUM_TYPE, F_ABSTRACT, F_FINAL, F_PRIVATE, F_PROTECTED, F_PUBLIC, F_STATIC, fAddCommentButton, fEnclosingTypeStatus, fModifierStatus, fPackageStatus, fSealedModifierStatus, fSealedSuperClassStatus, fSealedSuperInterfacesStatus, fSuperClassStatus, fSuperInterfacesStatus, fTypeNameStatus, INTERFACE_TYPE, INTERFACES, METHODS, MODIFIERS, PACKAGE, RECORD_TYPE, SEALEDMODIFIERS, SUPER, TYPENAME`

### Fields inherited from class org.eclipse.jdt.ui.wizards.NewContainerWizardPage

`CONTAINER, fContainerStatus`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`NewRecordWizardPage()`
Creates a new `NewRecordWizardPage`

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(org.eclipse.swt.widgets.Composite parent)`
`protected void`
`createTypeMembers(IType type, NewTypeWizardPage.ImportsManager imports, org.eclipse.core.runtime.IProgressMonitor monitor)`
Hook method that gets called from `createType` to support adding of unanticipated methods, fields, and inner types to the created type.
`protected void`
`handleFieldChanged(String fieldName)`
Hook method that gets called when a field on this page has changed.
`void`
`init(org.eclipse.jface.viewers.IStructuredSelection selection)`
The wizard owning this page is responsible for calling this method with the current selection.
`boolean`
`isCreateInherited()`
Returns the current selection state of the 'Create inherited abstract methods' checkbox.
`boolean`
`isCreateMain()`
Returns the current selection state of the 'Create Main' checkbox.
`void`
`setMethodStubSelection(boolean createMain, boolean createInherited, boolean canBeModified)`
Sets the selection state of the method stub checkboxes.
`void`
`setVisible(boolean visible)`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewTypeWizardPage

`addSuperInterface, addSuperInterface, chooseEnclosingType, choosePackage, chooseSuperClass, chooseSuperInterfaces, constructCUContent, containerChanged, createCommentControls, createCommentWithLinkControls, createEnclosingTypeControls, createInheritedMethods, createMainMethod, createModifierControls, createPackageControls, createScrollableContainer, createSeparator, createSuperClassControls, createSuperInterfacesControls, createType, createTypeNameControls, enableCommentControl, enclosingTypeChanged, getCompilationUnitName, getCreatedType, getEnclosingType, getEnclosingTypeLabel, getEnclosingTypeText, getFileComment, getFileComment, getModifiedResource, getModifiers, getModifiersLabel, getPackageFragment, getPackageLabel, getPackageText, getRunnable, getSealedModifierStatus, getSealedSuperClassStatus, getSealedSuperInterfaceStatus, getSuperClass, getSuperClassLabel, getSuperClassStatus, getSuperInterfaces, getSuperInterfacesLabel, getSuperInterfaceStatus, getTemplate, getTemplate, getTypeComment, getTypeComment, getTypeName, getTypeNameLabel, getUniqueJavaTypeName, initTypePage, isAddComments, isEnclosingTypeSelected, isSuperClassFinal, isSuperTypeSealed, modifiersChanged, packageChanged, setAddComments, setEnclosingType, setEnclosingTypeSelection, setFocus, setModifiers, setPackageFragment, setSuperClass, setSuperClass, setSuperInterfaces, setSuperInterfacesList, setTypeName, superClassChanged, superInterfacesChanged, typeNameChanged, validateSealedSuperInterfacesStatus`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewContainerWizardPage

`chooseContainer, createContainerControls, getContainerLabel, getCurrentTextSelection, getInitialJavaElement, getJavaProject, getMaxFieldWidth, getPackageFragmentRoot, getPackageFragmentRootText, getWorkspaceRoot, initContainerPage, initContainerPage, setFocusOnContainer, setPackageFragmentRoot`

### Methods inherited from class org.eclipse.jdt.ui.wizards.NewElementWizardPage

`updateStatus, updateStatus`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Methods inherited from interface org.eclipse.jface.wizard.IWizardPage

`getMinimumPageSize`

## Constructor Details

### NewRecordWizardPage

public NewRecordWizardPage()
Creates a new `NewRecordWizardPage`

Since:
  3.25

## Method Details

### init

public void init(org.eclipse.jface.viewers.IStructuredSelection selection)
The wizard owning this page is responsible for calling this method with the current selection. The selection is used to initialize the fields of the wizard page.

Parameters:
  `selection` - used to initialize the fields
Since:
  3.25

### handleFieldChanged

protected void handleFieldChanged(String fieldName)
Description copied from class: `NewContainerWizardPage`
Hook method that gets called when a field on this page has changed. For this page the method gets called when the source folder field changes.

Every sub type is responsible to call this method when a field on its page has changed. Subtypes override (extend) the method to add verification when a own field has a dependency to an other field. For example the class name input must be verified again when the package field changes (check for duplicated class names).

Overrides:
  `handleFieldChanged` in class `NewTypeWizardPage`
Parameters:
  `fieldName` - The name of the field that has changed (field id). For the source folder the field id is `CONTAINER`

### createControl

public void createControl(org.eclipse.swt.widgets.Composite parent)

### setVisible

public void setVisible(boolean visible)

Specified by:
  `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
Overrides:
  `setVisible` in class `NewElementWizardPage`

### setMethodStubSelection

public void setMethodStubSelection(boolean createMain, boolean createInherited, boolean canBeModified)
Sets the selection state of the method stub checkboxes.

Parameters:
  `createMain` - initial selection state of the 'Create Main' checkbox.
  `createInherited` - initial selection state of the 'Create inherited abstract methods' checkbox.
  `canBeModified` - if `true` the method stub checkboxes can be changed by the user. If `false` the buttons are "read-only"
Since:
  3.25

### isCreateInherited

public boolean isCreateInherited()
Returns the current selection state of the 'Create inherited abstract methods' checkbox.

Returns:
  the selection state of the 'Create inherited abstract methods' checkbox
Since:
  3.25

### isCreateMain

public boolean isCreateMain()
Returns the current selection state of the 'Create Main' checkbox.

Returns:
  the selection state of the 'Create Main' checkbox
Since:
  3.25

### createTypeMembers

protected void createTypeMembers(IType type, NewTypeWizardPage.ImportsManager imports, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Description copied from class: `NewTypeWizardPage`
Hook method that gets called from `createType` to support adding of unanticipated methods, fields, and inner types to the created type.

Implementers can use any methods defined on `IType` to manipulate the new type.

The source code of the new type will be formatted using the platform's formatter. Needed imports are added by the wizard at the end of the type creation process using the given import manager.

Overrides:
  `createTypeMembers` in class `NewTypeWizardPage`
Parameters:
  `type` - the new type created via `createType`
  `imports` - an import manager which can be used to add new imports
  `monitor` - a progress monitor to report progress. Must not be `null`
Throws:
  `org.eclipse.core.runtime.CoreException` - thrown when creation of the type members failed
See Also:
  - `NewTypeWizardPage.createType(IProgressMonitor)`